{% extends "layout.html" %}

{# 
color1 - text
color2 - background
color3 - highlight 
#}

{% 
  set options = {
    color1 : data.page.color1, 
    color2 : data.page.color2,
    color3 : data.page.color3
  } 
%}

{% block bodyClass %}
  {{ super() }}
  case-study-page
{% endblock %}

{% block main %}
   

  <div class="case-page page-container"
    style="{% if options.color2  %} background-color: {{ options.color2 }}; {% endif %}"
  >

    <div class="container header-section">

      <div class="header-image-wrapper">
            {{ apos.singleton(data.page, 'defaultCasePageHeaderImage', 'drawer-case-header-image' ) }}
            <!-- <script>console.log('CASE LIST', {{ data.page | json }});</script> -->
      </div>
    

      <div class="header-block">
          <h1 class="header-title" 
              style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
            >
         {{ apos.singleton(data.page, 'defaultCasePageTitle', 'apostrophe-rich-text') }}
        </h1>
     
        <div class="lower-header">

          <h2 class="header-subtitle" 
            style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
          >
            {{ apos.singleton(data.page, 'defaultCasePageSubtitle', 'apostrophe-rich-text') }}
          </h2>

          <div class="header-services">
            <div class="services-title"
              style="{% if options.color3  %} color: {{ options.color3 }}; {% endif %}"
            >
             {{ apos.singleton(data.page, 'defaultCasePageServicesTitle', 'apostrophe-rich-text') }}
            </div>
            <div class="services-list"
                style="{% if options.color1  %} color: {{ options.color1 }}; {% endif %}"
            >
              {{ apos.singleton(data.page, 'defaultCasePageServicesList', 'apostrophe-rich-text') }}
            </div>
          </div>  
        </div>
      </div>
     
    </div>


    <div class="container">
      {{
        apos.area(data.page, 'drawers', {
          widgets: {
            'drawer-case-image': { options: options },
            'drawer-case-video': { options: options },
            'drawer-case-carousel': { options: options },
            'drawer-case-text-section' : { options: options },
            'drawer-case-quote-section' : { options: options },
            'drawer-case-two-columns-section' : { options: options }
          }
        })
      }}
    </div>

     <div data-apos-ajax-context="cases">
        {% include "indexAjax.html" %}
    </div>

    <div class="container">
         {% include "/pages/parts/hire-and-contact.html" %}
    </div>


  </div>

{% endblock %}
